TRANSMISSION-CLI(1)

NAME
transmission-cli - a bittorrent client

SYNOPSIS
transmission-cli -h
transmission-cli [-b | -B] [-d number | -D] [-er | -ep | -et] [-f script] [-g directory] [-h] [-m | -M] [-p port] [--tos tos] [-u number | -U] [-v] [-w directory] torrent-file

DESCRIPTION
The transmission-cli program is a lightweight, command-line BitTorrent client with scripting capabilities.

The options are as follows:

-b --blocklist
    Enable peer blocklists. Transmission understands the bluetack blocklist file format. New blocklists can be added by copying them into the config-dir's "blocklists" subdirectory.

-B --no-blocklist
    Disable blocklists.

-d --downlimit number
    Set the maximum download speed in KB/s

-D --no-downlimit
    Don't limit the download speed

-er --encryption-required
    Encrypt all peer connections.

-ep --encryption-preferred
    Prefer encrypted peer connections.

-et --encryption-tolerated
    Prefer unencrypted peer connections.

-f --finish script
    Set a script to run when the torrent finishes

-g --config-dir directory
    Where to look for configuration files. This can be used to swap between using the cli, daemon, gtk, and qt clients. See https://github.com/transmission/transmission/blob/main/docs/Configuration-Files.md for more information.

-h --help
    Prints a short usage summary.

-m --portmap
    Enable portmapping via NAT-PMP or UPnP

-M --no-portmap
    Disable portmapping

-p --port port
    Set the port to listen for incoming peers. (Default: 51413)

--tos tos
    Use a ToS or DSCP name to set the peer socket service type for
    local router-based traffic shaping. Valid values are a decimal
    value 0-255, or any of these DSCP strings:

    “af11”, “af12”, “af13”, “af21”, “af22”, “af23”, “af31”, “af32”, “af33”, “af41”, “af42”, “af43”, “cs0”, “cs1”, “cs2”, “cs3”, “cs4”, “cs5”, “cs6”, “cs7”, “ef”, “le” These ToS keys are deprecated and will be removed in the future: “default”, “lowcost”, “lowdelay,” “reliability”, “throughput”

-u --uplimit number
    Set the maximum upload speed in KB/s

-U --no-uplimit
    Don't limit the upload speed

-v --verify
    Verify the torrent's downloaded data.

-w --download-dir directory
    Where to save downloaded data.

SIGNALS
In addition to these options, sending transmission-cli a SIGHUP signal will contact the tracker for more peers.

ENVIRONMENT

TRANSMISSION_HOME
    Sets the default config-dir.

http_proxy
    libcurl uses this environment variable when performing tracker announces.

FILES
~/.config/transmission
    Directory where transmission-cli keeps torrent information for future seeding and resume operations.

AUTHORS
The transmission-cli program was written by -nosplit Eric Petit, Josh Elsasser, Charles Kerr, Mitchell Livingston, and Mike Gelfand.

SEE ALSO
transmission-create(1), transmission-daemon(1), transmission-edit(1), transmission-gtk(1), transmission-qt(1), transmission-remote(1), transmission-show(1)

https://transmissionbt.com/